<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AbstractNativePCHCompileTask (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractNativePCHCompileTask (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeSourceCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/language/nativeplatform/tasks/AbstractNativePCHCompileTask.html" target="_top">Frames</a></li>
<li><a href="AbstractNativePCHCompileTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.language.nativeplatform.tasks</div>
<h2 title="Class AbstractNativePCHCompileTask" class="title">Class AbstractNativePCHCompileTask</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks">org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.language.nativeplatform.tasks.AbstractNativePCHCompileTask</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/gradle/language/cpp/tasks/CppPreCompiledHeaderCompile.html" title="class in org.gradle.language.cpp.tasks">CppPreCompiledHeaderCompile</a>, <a href="../../../../../org/gradle/language/c/tasks/CPreCompiledHeaderCompile.html" title="class in org.gradle.language.c.tasks">CPreCompiledHeaderCompile</a>, <a href="../../../../../org/gradle/language/objectivecpp/tasks/ObjectiveCppPreCompiledHeaderCompile.html" title="class in org.gradle.language.objectivecpp.tasks">ObjectiveCppPreCompiledHeaderCompile</a>, <a href="../../../../../org/gradle/language/objectivec/tasks/ObjectiveCPreCompiledHeaderCompile.html" title="class in org.gradle.language.objectivec.tasks">ObjectiveCPreCompiledHeaderCompile</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public abstract class <span class="strong">AbstractNativePCHCompileTask</span>
extends <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks">AbstractNativeCompileTask</a></pre>
<div class="block">Compiles native header source files into object files.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativePCHCompileTask.html#AbstractNativePCHCompileTask()">AbstractNativePCHCompileTask</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.language.nativeplatform.tasks.<a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks">AbstractNativeCompileTask</a></h3>
<code><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#compile(org.gradle.api.tasks.incremental.IncrementalTaskInputs)">compile</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#configureSpec(org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec)">configureSpec</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#createCompileSpec()">createCompileSpec</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getCompilerArgs()">getCompilerArgs</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getIncludePaths()">getIncludePaths</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getIncludes()">getIncludes</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getIncrementalCompilerBuilder()">getIncrementalCompilerBuilder</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getMacros()">getMacros</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getObjectFileDir()">getObjectFileDir</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getObjectFileDirectory()">getObjectFileDirectory</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getOperationLoggerFactory()">getOperationLoggerFactory</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getSource()">getSource</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getTargetPlatform()">getTargetPlatform</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getToolChain()">getToolChain</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#includes(java.lang.Object)">includes</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#isPositionIndependentCode()">isPositionIndependentCode</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setCompilerArgs(java.util.List)">setCompilerArgs</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setMacros(java.util.Map)">setMacros</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setObjectFileDir(java.io.File)">setObjectFileDir</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setObjectFileDir(org.gradle.api.provider.Provider)">setObjectFileDir</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setPositionIndependentCode(boolean)">setPositionIndependentCode</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setTargetPlatform(org.gradle.nativeplatform.platform.NativePlatform)">setTargetPlatform</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setToolChain(org.gradle.nativeplatform.toolchain.NativeToolChain)">setToolChain</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#source(java.lang.Object)">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractNativePCHCompileTask()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractNativePCHCompileTask</h4>
<pre>public&nbsp;AbstractNativePCHCompileTask()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeSourceCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/language/nativeplatform/tasks/AbstractNativePCHCompileTask.html" target="_top">Frames</a></li>
<li><a href="AbstractNativePCHCompileTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
